 /*@@
   @file    SetSym.F
   @date    March 1999
   @author  Gabrielle Allen
   @desc
            Sets the symmetries for the ADM grid functions
   @enddesc
 @@*/


#define DEBUG_BOUND

#include "cctk.h"
#include "cctk_Arguments.h"
#include "cctk_Parameters.h"

      subroutine ADM_BSSN_SetSym(CCTK_ARGUMENTS)

      implicit none
      
      DECLARE_CCTK_ARGUMENTS 
      DECLARE_CCTK_PARAMETERS

      INTEGER, PARAMETER :: one = 1
      INTEGER sym(3)
      INTEGER ierr
      INTEGER CCTK_Equals

c     +,+,+

      sym(1)=+one
      sym(2)=+one
      sym(3)=+one

      call SetCartSymVN(ierr,cctkGH,sym,'adm_bssn::ADM_BS_dtalp')

      call SetCartSymVN(ierr,cctkGH,sym,'adm_bssn::ADM_BS_phi')
      call SetCartSymVN(ierr,cctkGH,sym,'adm_bssn::ADM_BS_gxx')
      call SetCartSymVN(ierr,cctkGH,sym,'adm_bssn::ADM_BS_gyy')
      call SetCartSymVN(ierr,cctkGH,sym,'adm_bssn::ADM_BS_gzz')

      call SetCartSymVN(ierr,cctkGH,sym,'adm_bssn::ADM_BS_K')
      call SetCartSymVN(ierr,cctkGH,sym,'adm_bssn::ADM_BS_Axx')
      call SetCartSymVN(ierr,cctkGH,sym,'adm_bssn::ADM_BS_Ayy')
      call SetCartSymVN(ierr,cctkGH,sym,'adm_bssn::ADM_BS_Azz')

      call SetCartSymVN(ierr,cctkGH,sym,'adm_bssn::ADM_BS_mask')

c     -,-,+

      sym(1)=-one
      sym(2)=-one
      sym(3)=+one

      call SetCartSymVN(ierr,cctkGH,sym,'adm_bssn::ADM_BS_gxy')
      call SetCartSymVN(ierr,cctkGH,sym,'adm_bssn::ADM_BS_Axy')

c     -,+,-

      sym(1)=-one
      sym(2)=+one
      sym(3)=-one

      call SetCartSymVN(ierr,cctkGH,sym,'adm_bssn::ADM_BS_gxz')
      call SetCartSymVN(ierr,cctkGH,sym,'adm_bssn::ADM_BS_Axz')

c     +,-,-

      sym(1)=+one
      sym(2)=-one
      sym(3)=-one

      call SetCartSymVN(ierr,cctkGH,sym,'adm_bssn::ADM_BS_gyz')
      call SetCartSymVN(ierr,cctkGH,sym,'adm_bssn::ADM_BS_Ayz')

c     -,+,+

      sym(1)=-one
      sym(2)=+one
      sym(3)=+one

      call SetCartSymVN(ierr,cctkGH,sym,'admbase::betax')
      call SetCartSymVN(ierr,cctkGH,sym,'adm_bssn::ADM_BS_Gx')
      call SetCartSymVN(ierr,cctkGH,sym,'adm_bssn::ADM_BS_Bx')
      call SetCartSymVN(ierr,cctkGH,sym,'adm_bssn::ADM_BS_dirx')

c     +,-,+

      sym(1)=+one
      sym(2)=-one
      sym(3)=+one

      call SetCartSymVN(ierr,cctkGH,sym,'admbase::betay')
      call SetCartSymVN(ierr,cctkGH,sym,'adm_bssn::ADM_BS_Gy')
      call SetCartSymVN(ierr,cctkGH,sym,'adm_bssn::ADM_BS_By')
      call SetCartSymVN(ierr,cctkGH,sym,'adm_bssn::ADM_BS_diry')

c     +,+,-

      sym(1)=+one
      sym(2)=+one
      sym(3)=-one

      call SetCartSymVN(ierr,cctkGH,sym,'admbase::betaz')
      call SetCartSymVN(ierr,cctkGH,sym,'adm_bssn::ADM_BS_Gz')
      call SetCartSymVN(ierr,cctkGH,sym,'adm_bssn::ADM_BS_Bz')
      call SetCartSymVN(ierr,cctkGH,sym,'adm_bssn::ADM_BS_dirz')

c     End.

      end subroutine ADM_BSSN_SetSym
