/*@@
  @header   CDCDALPHA_guts.h
  @date     October 99
  @author   Miguel Alcubierre
  @desc
  Macro to calculate all second covariant spatial derivative of ALPHA

  That is ALPHA_{;ij}

  @enddesc
@@*/

#ifndef CDCDALPHA_GUTS
#define CDCDALPHA_GUTS

#include "CactusEinstein/ADMMacros/src/macro/DA_guts.h"
#include "CactusEinstein/ADMMacros/src/macro/DDA_guts.h"
#include "macro/DPHI_guts.h"
#include "macro/BSUPPERMET_guts.h"
#include "macro/BSCHR2_guts.h"

      CDCDALPHA_CDXXDALPHA = (DDA_DXXDA-BSCHR2_XXX*DA_DXDA
     &             -BSCHR2_YXX*DA_DYDA-BSCHR2_ZXX*DA_DZDA)
      CDCDALPHA_CDXYDALPHA = (DDA_DXYDA-BSCHR2_XXY*DA_DXDA
     &             -BSCHR2_YXY*DA_DYDA-BSCHR2_ZXY*DA_DZDA)
      CDCDALPHA_CDXZDALPHA = (DDA_DXZDA-BSCHR2_XXZ*DA_DXDA
     &             -BSCHR2_YXZ*DA_DYDA-BSCHR2_ZXZ*DA_DZDA)
      CDCDALPHA_CDYYDALPHA = (DDA_DYYDA-BSCHR2_XYY*DA_DXDA
     &             -BSCHR2_YYY*DA_DYDA-BSCHR2_ZYY*DA_DZDA)
      CDCDALPHA_CDYZDALPHA = (DDA_DYZDA-BSCHR2_XYZ*DA_DXDA
     &             -BSCHR2_YYZ*DA_DYDA-BSCHR2_ZYZ*DA_DZDA)
      CDCDALPHA_CDZZDALPHA = (DDA_DZZDA-BSCHR2_XZZ*DA_DXDA
     &             -BSCHR2_YZZ*DA_DYDA-BSCHR2_ZZZ*DA_DZDA)

      CDCDALPHA_TEMP = BSUPPERMET_UXX*DA_DXDA*DPHI_DXDPHI
     &               + BSUPPERMET_UYY*DA_DYDA*DPHI_DYDPHI
     &               + BSUPPERMET_UZZ*DA_DZDA*DPHI_DZDPHI
     &               + BSUPPERMET_UXY*(DA_DXDA*DPHI_DYDPHI+DA_DYDA*DPHI_DXDPHI)
     &               + BSUPPERMET_UXZ*(DA_DXDA*DPHI_DZDPHI+DA_DZDA*DPHI_DXDPHI)
     &               + BSUPPERMET_UYZ*(DA_DYDA*DPHI_DZDPHI+DA_DZDA*DPHI_DYDPHI)

      CDCDALPHA_CDXXDALPHA_PHYS = CDCDALPHA_CDXXDALPHA - 2.0d0
     &             *(2.0d0*DA_DXDA*DPHI_DXDPHI
     &             - CDCDALPHA_GXX*CDCDALPHA_TEMP)
      CDCDALPHA_CDYYDALPHA_PHYS = CDCDALPHA_CDYYDALPHA - 2.0d0
     &             *(2.0d0*DA_DYDA*DPHI_DYDPHI
     &             - CDCDALPHA_GYY*CDCDALPHA_TEMP)
      CDCDALPHA_CDZZDALPHA_PHYS = CDCDALPHA_CDZZDALPHA - 2.0d0
     &             *(2.0d0*DA_DZDA*DPHI_DZDPHI
     &             - CDCDALPHA_GZZ*CDCDALPHA_TEMP)
      CDCDALPHA_CDXYDALPHA_PHYS = CDCDALPHA_CDXYDALPHA - 2.0d0
     &             *(DA_DXDA*DPHI_DYDPHI + DA_DYDA*DPHI_DXDPHI
     &             - CDCDALPHA_GXY*CDCDALPHA_TEMP)
      CDCDALPHA_CDXZDALPHA_PHYS = CDCDALPHA_CDXZDALPHA - 2.0d0
     &             *(DA_DXDA*DPHI_DZDPHI + DA_DZDA*DPHI_DXDPHI
     &             - CDCDALPHA_GXZ*CDCDALPHA_TEMP)
      CDCDALPHA_CDYZDALPHA_PHYS = CDCDALPHA_CDYZDALPHA - 2.0d0
     &             *(DA_DYDA*DPHI_DZDPHI + DA_DZDA*DPHI_DYDPHI
     &             - CDCDALPHA_GYZ*CDCDALPHA_TEMP)

#endif

